Я ставлю под линукс Mediawiki4Intranet из архива исходников, ссылка на который размещёна на странице Mediawiki4Intranet. Т.е. речь идёт не про виндовс сборку. Просто Gentoo устанавливает пакетов по минимуму и возможно, что для правильной работы Mediawiki4Intranet нужны дополнительные пакеты (которые не описаны на основной странице), которые не нужны для стандартного движка Mediawiki. А возможно нужны какие-то настройки php или ещё что...